Bug 1639461 - Revert changes to observe.sh test-cmd tests
Summary: Revert changes to observe.sh test-cmd tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.1.0
Assignee: Maciej Szulik
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-15 18:57 UTC by Juan Vallejo
Modified: 2019-06-04 10:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:40:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:40:56 UTC

Description Juan Vallejo 2018-10-15 18:57:35 UTC
https://github.com/openshift/origin/pull/21206 introduced updates to observe.sh test-cmd tests which updated a few cases to use a 10.3.0.0/16 CIDR instead of the original 172.30.0.0/16 CIDR. These changes need to be reverted as soon as the default CIDR range is fixed with the localup/master.

Comment 1 Juan Vallejo 2018-11-09 20:38:17 UTC
Origin PR: https://github.com/openshift/origin/pull/21463

Comment 2 Juan Vallejo 2018-11-13 14:20:11 UTC
Origin PR has merged

Comment 3 Xingxing Xia 2019-01-11 10:30:33 UTC
From perspective of functioning, this bug is not a `oc observe` function bug. It only affects user who cares `-a={.spec.clusterIP}` output.
Nevertheless, still tested v4.0.0-0.130.0 `oc observe` case, it functions well https://openshift-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/Runner-v3/37544/console

Comment 7 errata-xmlrpc 2019-06-04 10:40:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.